CRM / Pipeline / REST API

Add prospect note

Add a note to a prospect.

POST /api/prospects/{prospectId}/notesDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
prospectIdRequired · string
See the input schema for this field.
noteRequired · string
See the input schema for this field.
idempotencyKeyOptional · string
Reuse for uncertain retries within 24 hours.
Request example
curl -X POST "https://app.pipeline.help/api/prospects/00000000-0000-4000-8000-000000000000/notes" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"note":"example"}'
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "prospectId": {
      "type": "string"
    },
    "note": {
      "type": "string",
      "maxLength": 5000
    },
    "idempotencyKey": {
      "type": "string",
      "description": "Reuse for uncertain retries within 24 hours."
    }
  },
  "required": [
    "prospectId",
    "note"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview